| OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType > Class Template Reference

Uniform LongestEdgeT subdivision algorithm More...

`#include <OpenMesh/Tools/Subdivider/Uniform/LongestEdgeT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType >:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType >:
[legend]

## Public Types
typedef RealType | real_t
typedef MeshType | mesh_t
typedef SubdividerT< mesh_t, real_t > | parent_t
typedef std::vector < std::vector< real_t > > | weights_t
typedef std::vector< real_t > | weight_t
typedef std::pair< typename mesh_t::EdgeHandle, real_t > | queueElement
Public Types inherited from OpenMesh::Subdivider::Uniform::SubdividerT< MeshType, RealType >
typedef MeshType | mesh_t
typedef RealType | real_t

## Public Member Functions
| LongestEdgeT (mesh_t &_m)
const char * | name () const
| Return name of subdivision algorithm.
void | set_max_edge_length (double _value)
Public Member Functions inherited from OpenMesh::Subdivider::Uniform::SubdividerT< MeshType, RealType >
virtual | ~SubdividerT ()
| Descructor (calls detach())
| SubdividerT (void)
| Constructor to be used with interface 2. More...
| SubdividerT (MeshType &_m)
| Constructor to be used with interface 1 (calls attach()) More...
bool | operator() (MeshType &_m, size_t _n, const bool _update_points=true)
| Subdivide the mesh `_m` `_n` times. More...
bool | attach (MeshType &_m)
| Attach mesh `_m` to self. More...
bool | operator() (size_t _n, const bool _update_points=true)
| Subdivide the attached `_n` times. More...
void | detach (void)
| Detach an eventually attached mesh. More...

## Protected Member Functions
bool | prepare (mesh_t &_m)
| Prepare mesh, e.g. add properties.
bool | cleanup (mesh_t &_m)
| Cleanup mesh after usage, e.g. remove added properties.
bool | subdivide (MeshType &_m, size_t _n, const bool _update_points=true)
| Subdivide mesh `_m` `_n` times.
Overload theses methods

## Detailed Description

### template<typename MeshType, typename RealType = float>
class OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType >

Uniform LongestEdgeT subdivision algorithm

Very simple algorithm splitting all edges which are longer than given via set_max_edge_length(). The split is always performed on the longest edge in the mesh.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Subdivider/Uniform/LongestEdgeT.hh